<div class="window">
  <div class="plots">
    <div class="subplot" *ngFor="let subplot of subplots; let i = index">
      <div class="channel_header">
        Table {{ i }}
      </div>
      <div class="button-holder">
        <button class="correct-button label-button" [class.correct-selected]="labels[subplot.index]" (click)="labelCorrect(subplot.index)">&#10004;</button>
        <button class="neutral-button label-button" [class.neutral-selected]="labels[subplot.index] == undefined" (click)="labelUndefined(subplot.index)">&#8226;</button>
      </div>
      <fieldset>
        <legend>Similarity distribution</legend>
        <plotly-plot [data]="subplot.data" [layout]="subplot.layout"></plotly-plot>
      </fieldset>
      <fieldset>
        <legend>Top-20 windows</legend>
        <plotly-plot class="plotly-plot" [data]="averages[i]" [layout]="layout"></plotly-plot>
      </fieldset>
    </div>
  </div>
<!--  <div class="plots">-->
<!--    <div class="subplot" *ngFor="let subplot of averages">-->
<!--    </div>-->
<!--  </div>-->
</div>
